Skip to content

Return renewal policies owned by one entitlement model.

GET
/api/workspace/entitlement-operations/models/{modelType}/{modelId}/renewal-policies
curl --request GET \
--url https://example.com/api/workspace/entitlement-operations/models/example/example/renewal-policies
  • None
modelType
required
string
modelId
required
string
IncludeInactive
boolean

Whether inactive policies should be included.

Search
string

Optional search text matched against policy key and display name.

Page
integer format: int32

One-based page number.

PageSize
integer format: int32

Requested page size.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Paginated renewal policy list response.

object
Items
Array<object>
nullable

Renewal policy summary row.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
Mode
integer format: int32
Allowed values: 0 1 2
LeadDays
integer format: int32
nullable
ExternalPolicyKey
string
nullable
IsActive
boolean
RowVersion
string format: uuid
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Mode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Paginated renewal policy list response.

object
Items
Array<object>
nullable

Renewal policy summary row.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
EntitlementModelId
string
nullable
EntitlementModelDisplayName
string
nullable
Description
string
nullable
Mode
integer format: int32
Allowed values: 0 1 2
LeadDays
integer format: int32
nullable
ExternalPolicyKey
string
nullable
IsActive
boolean
RowVersion
string format: uuid
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Mode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}